complexType "EquitySwapTransactionSupplement"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 19 elements
Defined: | globally in fpml-return-swaps-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | productType*, productId*, assetClass*, (buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?)?, returnSwapLeg*, principalExchangeFeatures?, (mutualEarlyTermination? | (optionalEarlyTermination?, breakFundingRecovery?, (breakFeeElection?, breakFeeRate?)?))?, ((multipleExchangeIndexAnnexFallback? | componentSecurityIndexAnnexFallback?)?, localJurisdiction?, relevantJurisdiction?)?, extraordinaryEvents?
</...>

Content Model Elements (19):

  assetClass (defined in Product.model group),
  breakFeeElection,
  breakFeeRate,
  breakFundingRecovery,
  buyerAccountReference,
  buyerPartyReference (defined in BuyerSeller.model group),
  componentSecurityIndexAnnexFallback,
  extraordinaryEvents (in equitySwapTransactionSupplement),
  localJurisdiction (defined in EquityUnderlyerProvisions.model group),
  multipleExchangeIndexAnnexFallback,
  mutualEarlyTermination,
  optionalEarlyTermination (in equitySwapTransactionSupplement),
  principalExchangeFeatures,
  productId (defined in Product.model group),
  productType (defined in Product.model group),
  relevantJurisdiction,
  returnSwapLeg,
  sellerAccountReference,
  sellerPartyReference (defined in BuyerSeller.model group)

All Direct / Indirect Based Elements (1):

  equitySwapTransactionSupplement

Known Usage Locations

- As direct type of elements (1):
  equitySwapTransactionSupplement

Annotation
A type for defining Equity Swap Transaction Supplement
Type Definition Detail

Type Derivation Tree Product (extension) ReturnSwapBase (extension) EquitySwapTransactionSupplement

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="EquitySwapTransactionSupplement"> <xsd:complexContent> <xsd:extension base="ReturnSwapBase"> <xsd:sequence> <xsd:group minOccurs="0" ref="MutualOrOptionalEarlyTermination.model"/> <xsd:group minOccurs="0" ref="EquityUnderlyerProvisions.model"/> <xsd:element minOccurs="0" name="extraordinaryEvents" type="ExtraordinaryEvents"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/19)
extraordinaryEvents

  Type: | ExtraordinaryEvents, complex content

  Where the underlying is shares, specifies events affecting the issuer of those shares that may require the terms of the transaction to be adjusted.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="extraordinaryEvents" type="ExtraordinaryEvents"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.